## org.gjt.sp.jedit.io
Class VFS.DirectoryEntryCompare

    java.lang.Object
      org.gjt.sp.jedit.io.VFS.DirectoryEntryCompare

All Implemented Interfaces:
  java.util.Comparator<VFSFile>

Enclosing class:
  VFS

    public static class VFS.DirectoryEntryCompare

extends java.lang.Object
implements java.util.Comparator<VFSFile>

Implementation of `Comparator` interface that compares `VFSFile` instances.

Since:
  jEdit 4.2pre1

Constructor Summary
`VFS.DirectoryEntryCompare(boolean sortMixFilesAndDirs, boolean sortIgnoreCase)` Creates a new `DirectoryEntryCompare`.

Method Summary
`int` `compare(VFSFile file1, VFSFile file2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### VFS.DirectoryEntryCompare

    public VFS.DirectoryEntryCompare(boolean sortMixFilesAndDirs,
                                     boolean sortIgnoreCase)

  Creates a new `DirectoryEntryCompare`.

  Parameters:
    `sortMixFilesAndDirs` - If false, directories are put at the top of the listing.
    `sortIgnoreCase` - If false, upper case comes before lower case.

Method Detail

### compare

    public int compare(VFSFile file1,
                       VFSFile file2)

  Specified by:
    `compare` in interface `java.util.Comparator<VFSFile>`